Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Attributes
tlp::GlCurve Class Reference

This class is use to display an OpenGl curve. More...

`#include <GlCurve.h>`

Inheritance diagram for tlp::GlCurve:
[legend]
Collaboration diagram for tlp::GlCurve:
[legend]

List of all members.

## Public Member Functions

- GlCurve (const std::vector< tlp::Coord > &points, const Color &beginFColor, const Color &endFColor, const float &beginSize=0., const float &endSize=0.)
- GlCurve (const unsigned int nbPoints=3u)
- virtual ~GlCurve ()
- void draw (float lod, Camera *camera)
- void setTexture (const std::string &texture)
- virtual void resizePoints (const unsigned int nbPoints)
- virtual const tlp::Coord & point (const unsigned int i) const
- virtual tlp::Coord & point (const unsigned int i)
- virtual void translate (const Coord &mouvement)
- virtual void getXML (xmlNodePtr rootNode)
- virtual void setWithXML (xmlNodePtr rootNode)

## Protected Attributes

- std::vector< tlp::Coord > _points
- Color _beginFillColor
- Color _endFillColor
- float _beginSize
- float _endSize
- std::string texture

## Detailed Description

This class is use to display an OpenGl curve.

## Constructor & Destructor Documentation

tlp::GlCurve::GlCurve | ( | const std::vector< tlp::Coord > & | points,
|  | const Color & | beginFColor,
|  | const Color & | endFColor,
|  | const float & | beginSize = `0.`,
|  | const float & | endSize = `0.`
| ) |  |

Basic constructor with vector of coord, begin/end color and begin/end size

tlp::GlCurve::GlCurve | ( | const unsigned int | nbPoints = `3u` | ) |

Basic constructor with number of points

virtual tlp::GlCurve::~GlCurve | ( |  | ) | `[virtual]`

## Member Function Documentation

void tlp::GlCurve::draw | ( | float | lod,
|  | Camera * | camera
| ) |  | `[virtual]`

Draw the curve

Implements tlp::GlSimpleEntity.

virtual void tlp::GlCurve::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Function to export data in XML

Implements tlp::GlSimpleEntity.

virtual const tlp::Coord& tlp::GlCurve::point | ( | const unsigned int | i | ) | const`[virtual]`

Return the ith coord

virtual tlp::Coord& tlp::GlCurve::point | ( | const unsigned int | i | ) | `[virtual]`

Return the ith coord

virtual void tlp::GlCurve::resizePoints | ( | const unsigned int | nbPoints | ) | `[virtual]`

Change the number of points

void tlp::GlCurve::setTexture | ( | const std::string & | texture | ) |

Set the texture of the curve (if you want texture)

virtual void tlp::GlCurve::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Function to set data with XML

Implements tlp::GlSimpleEntity.

virtual void tlp::GlCurve::translate | ( | const Coord & | mouvement | ) | `[virtual]`

Translate entity

Reimplemented from tlp::GlSimpleEntity.

## Member Data Documentation

Color tlp::GlCurve::_beginFillColor`[protected]`

float tlp::GlCurve::_beginSize`[protected]`

Color tlp::GlCurve::_endFillColor`[protected]`

float tlp::GlCurve::_endSize`[protected]`

std::vector<tlp::Coord> tlp::GlCurve::_points`[protected]`

std::string tlp::GlCurve::texture`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012